Table of Contents

## Name

XFree - free client data

## Syntax

int XFree(void *data);

## Arguments

data
  Specifies the data that are to be freed.

## Description

The XFree function is a general-purpose Xlib routine that frees the specified data. You must use it to free any objects that were allocated by Xlib, unless an alternate function is explicitly specified for the object. A NULL pointer cannot be passed to this function.

## See Also

Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also